> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Studies

> Retrieve studies from GWAS.

Example: study_id = GCST007798,

pmid = 30929738.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /studies
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /studies:
    get:
      summary: Studies
      description: |-
        Retrieve studies from GWAS.

        Example: study_id = GCST007798,

        pmid = 30929738.

        Pagination is 0-based.
      operationId: studies
      parameters:
        - name: study_id
          in: query
          required: false
          schema:
            type: string
        - name: pmid
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    _id:
                      type: string
                    name:
                      type: string
                    ancestry_initial:
                      type: string
                      nullable: true
                    ancestry_replication:
                      type: string
                      nullable: true
                    n_cases:
                      type: string
                      nullable: true
                    n_initial:
                      type: string
                      nullable: true
                    n_replication:
                      type: string
                      nullable: true
                    pmid:
                      type: string
                      nullable: true
                    pub_author:
                      type: string
                      nullable: true
                    pub_date:
                      type: string
                      nullable: true
                    pub_journal:
                      type: string
                      nullable: true
                    pub_title:
                      type: string
                      nullable: true
                    has_sumstats:
                      type: string
                      nullable: true
                    num_assoc_loci:
                      type: string
                      nullable: true
                    study_source:
                      type: string
                      nullable: true
                    trait_reported:
                      type: string
                      nullable: true
                    trait_efos:
                      type: string
                      nullable: true
                    trait_category:
                      type: string
                      nullable: true
                    source:
                      type: string
                    study_type:
                      type: string
                      nullable: true
                    version:
                      type: string
                      nullable: true
                  required:
                    - _id
                    - name
                    - ancestry_initial
                    - ancestry_replication
                    - n_cases
                    - n_initial
                    - n_replication
                    - pmid
                    - pub_author
                    - pub_date
                    - pub_journal
                    - pub_title
                    - has_sumstats
                    - num_assoc_loci
                    - study_source
                    - trait_reported
                    - trait_efos
                    - trait_category
                    - study_type
                    - version
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````